FileControllerDeleteOldEntityData Method

POST /File/DeleteOldEntityData Deletes data from entities which are not the current revision and were created before the specified date.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("DeleteOldEntityData")]
public IActionResult DeleteOldEntityData(
	[FromBodyAttribute] DeleteOldEntityOptions options,
	Guid? sessionId = null
)

Parameters

options
Type: Dundas.BI.WebApi.ModelsDeleteOldEntityOptions
Options affecting the behavior of the operation.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A list of IdRevisionPairData objects, for a reason for operation failure.
See Also